#!/bin/bash 

clear
echo; echo "Magma 0.2.5 (Idiot Box) by Pink elephant Productions"; echo


export WORKDIR=$(pwd)			#The current working directory
export BURNDIR=$WORKDIR/Burn		#Directory for temporary files. (Files are deleted after burning is finished.)
export DEV=0,0,0				#Your cd burner device
export SPEED=8					#Speed of your cd burner


if [ ! -e $BURNDIR ]			#If temporary directory does not exist, create it	
	then
	echo; echo "Directory for temporary files does not exist. Attempting to create it."
	if [ ! -w $WORKDIR ]
		then
		echo "You do not have write permission for $WORKDIR"		#You haven't write permission in WORKDIR
		exit
	else
		mkdir $BURNDIR							#You had write permission. Hooray!
		echo "$BURNDIR created succesfully!"
	fi
fi



echo "Choose whether to burn data or audio cd."; echo
echo "Copy all data to be burned into $BURNDIR before moving on!"


OPTIONS="Audio Data ISO Cancel"
select opt in $OPTIONS; do
	if [ "$opt" = "Cancel" ]; then
        echo "Aborted..."
exit
        elif [ "$opt" = "Audio" ]; then
        		
$WORKDIR/convert_mp3s.sh		#Converting mp3s to wav
$WORKDIR/burn_audio_wavs.sh		#Starting the actual burning process


exit

	elif [ "$opt" = "Data" ]; then
$WORKDIR/burn_data.sh			#Start burnprocess for data cd

exit

	elif [ "$opt" = "ISO" ]; then
$WORKDIR/burn_iso.sh			#Burn an ISO-file directly

exit

	else				#Well...
        echo
        echo "1,2,3 or 4. It really isn't that hard."
        echo

	fi
done
