#!/bin/bash

cd $BURNDIR

FILE=`ls -f $BURNDIR/*.iso 2> /dev/null`

if [ -e "Magma.iso" ]; then		#If Magma.iso is found

echo; echo "Magma.iso found."

for ((TIME=8; TIME > 0; TIME--))
        do
        echo "Starting cdrecord in $TIME seconds. Press CTRL-C to Abort"
        sleep 1
done
        cdrecord dev=$DEV speed=$SPEED -eject -silent Magma.iso	#Burn Magma.iso
        rm $BURNDIR/*  
        echo; echo "Burning complete. Thank you for using Magma."

elif [ -n "$FILE" ]; then	#If an ISO-file by another name is found

	echo "ISO-file found"

for ((TIME=8; TIME > 0; TIME--))
        do
        echo "Starting cdrecord in $TIME seconds. Press CTRL-C to Abort"
        sleep 1
done
        cdrecord dev=$DEV speed=$SPEED -eject -silent *.iso	#Burn ISO
        rm $BURNDIR/*
        echo; echo "Burning complete. Thank you for using Magma."

else

	echo "No ISO-file found. Can't burn nothing"		#No ISO dude! Access denied!

fi
